Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const require_utils_toReactNodes_stringToNodes = require("../../../utils/toReactNodes/stringToNodes.cjs");
//#region src/components/typography/base/getPropDefaults.tsx
function getPropDefaultsBase(props, extra) {
	return {
		block: props.block || false,
		colorProp: props.color,
		displayProp: props.display,
		hideOverflow: props.hideOverflow || false,
		id: props.id,
		display: props.display,
		size: props.size || "Medium",
		textAlign: props.textAlign,
		onClick: props.onClick,
		underline: props.underline || false,
		children: props.children ? require_utils_toReactNodes_stringToNodes.stringToNodes(props.children) : null,
		...extra
	};
}
//#endregion
exports.getPropDefaultsBase = getPropDefaultsBase;
